Package ghidra.debug.api.target

# Enum Class Target.ObjectArgumentPolicy

java.lang.Object
java.lang.Enum<Target.ObjectArgumentPolicy>
ghidra.debug.api.target.Target.ObjectArgumentPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<Target.ObjectArgumentPolicy>`, `Constable`

Enclosing interface:
  `Target`

public static enum Target.ObjectArgumentPolicy extends Enum<Target.ObjectArgumentPolicy>
Specifies how object arguments are derived

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTEXT_ONLY`
  The object should be taken exactly from the action context, if applicable, present, and matching in schema.
  `CURRENT_AND_RELATED`
  The object should be taken from the current (active) object in the tool, or a suitable relative having the correct schema.
  `EITHER_AND_RELATED`
  The object can be taken from the given context, or the current (active) object in the tool, or a suitable relative having the correct schema.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `allowContextObject()`
  `abstract boolean`
  `allowCoordsObject()`
  `abstract boolean`
  `allowSuitableRelative()`
  `static Target.ObjectArgumentPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Target.ObjectArgumentPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTEXT_ONLY

    public static final Target.ObjectArgumentPolicy CONTEXT_ONLY
    The object should be taken exactly from the action context, if applicable, present, and matching in schema.

  - ### CURRENT_AND_RELATED

    public static final Target.ObjectArgumentPolicy CURRENT_AND_RELATED
    The object should be taken from the current (active) object in the tool, or a suitable relative having the correct schema.

  - ### EITHER_AND_RELATED

    public static final Target.ObjectArgumentPolicy EITHER_AND_RELATED
    The object can be taken from the given context, or the current (active) object in the tool, or a suitable relative having the correct schema.

- ## Method Details

  - ### values

    public static Target.ObjectArgumentPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Target.ObjectArgumentPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### allowContextObject

    public abstract boolean allowContextObject()

  - ### allowCoordsObject

    public abstract boolean allowCoordsObject()

  - ### allowSuitableRelative

    public abstract boolean allowSuitableRelative()